%define	module	PathTools
%define	name	perl-%{module}
%define version 3.27
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Tools for working with paths and file specs across platforms
URL:		http://search.cpan.org/dist/%{module}
Source:		http://search.cpan.org/CPAN/authors/id/K/KW/KWILLIAMS/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(ExtUtils::CBuilder)
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Tools for working with paths and file specs across platforms.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorarch}/File
%{perl_vendorarch}/Cwd.pm
%{perl_vendorarch}/auto/Cwd
%{_mandir}/man3/*



%changelog
* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.27-1mdv2008.1
+ Revision: 156180
- update to new version 3.27
- update to new version 3.27

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.25-2mdv2008.1
+ Revision: 152231
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.25-1mdv2008.0
+ Revision: 48706
- import perl-PathTools


* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.25-1mdv2008.0
- first mdv release
